org.jboss.jca.deployers.fungal

## Class RADeployment

- java.lang.Object
- - org.jboss.jca.deployers.fungal.AbstractFungalDeployment
  - - org.jboss.jca.deployers.fungal.RADeployment

- All Implemented Interfaces:
    com.github.fungal.spi.deployers.Deployment

      public class RADeployment
      extends AbstractFungalDeployment

  A resource adapter deployment for JCA/SJC
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.deployers.fungal.AbstractFungalDeployment

      `activator, aoJndis, aos, bootstrapContextId, cfCMs, cfJndis, cfs, cl, connector, deployment, deploymentName, jndiStrategy, log, managementRepository, mdr, objectNames, ra, raKey, rar, recoveryModules, recoveryRegistry, server`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RADeployment(java.net.URL deployment, java.lang.String deploymentName, boolean activator, javax.resource.spi.ResourceAdapter ra, java.lang.String raKey, java.lang.String bootstrapContextId, org.jboss.jca.core.spi.naming.JndiStrategy jndiStrategy, org.jboss.jca.core.spi.mdr.MetadataRepository mdr, org.jboss.jca.core.spi.rar.ResourceAdapterRepository resourceAdapterRepository, java.lang.Object[] cfs, java.lang.String[] cfJndis, org.jboss.jca.core.connectionmanager.ConnectionManager[] cfCMs, java.lang.Object[] aos, java.lang.String[] aoJndis, org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[] recoveryModules, org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry recoveryRegistry, java.io.File tmpDirectory, org.jboss.jca.core.api.management.ManagementRepository managementRepository, org.jboss.jca.core.api.management.Connector connector, javax.management.MBeanServer server, java.util.List<javax.management.ObjectName> objectNames, com.github.fungal.api.classloading.KernelClassLoader cl, org.jboss.jca.deployers.DeployersLogger log)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroy
    `void` | `stop()` Stop

    - ### Methods inherited from class org.jboss.jca.deployers.fungal.AbstractFungalDeployment

      `getClassLoader, getURL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RADeployment

          public RADeployment(java.net.URL deployment,
                              java.lang.String deploymentName,
                              boolean activator,
                              javax.resource.spi.ResourceAdapter ra,
                              java.lang.String raKey,
                              java.lang.String bootstrapContextId,
                              org.jboss.jca.core.spi.naming.JndiStrategy jndiStrategy,
                              org.jboss.jca.core.spi.mdr.MetadataRepository mdr,
                              org.jboss.jca.core.spi.rar.ResourceAdapterRepository resourceAdapterRepository,
                              java.lang.Object[] cfs,
                              java.lang.String[] cfJndis,
                              org.jboss.jca.core.connectionmanager.ConnectionManager[] cfCMs,
                              java.lang.Object[] aos,
                              java.lang.String[] aoJndis,
                              org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[] recoveryModules,
                              org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry recoveryRegistry,
                              java.io.File tmpDirectory,
                              org.jboss.jca.core.api.management.ManagementRepository managementRepository,
                              org.jboss.jca.core.api.management.Connector connector,
                              javax.management.MBeanServer server,
                              java.util.List<javax.management.ObjectName> objectNames,
                              com.github.fungal.api.classloading.KernelClassLoader cl,
                              org.jboss.jca.deployers.DeployersLogger log)

      Constructor
      Parameters:
        `deployment` - The deployment
        `deploymentName` - The deployment name
        `activator` - Is this the activator of the deployment
        `ra` - The resource adapter instance if present
        `raKey` - The resource adapter instance key if present
        `bootstrapContextId` - The bootstrap context identifier
        `jndiStrategy` - The JNDI strategy
        `mdr` - The metadata repository
        `resourceAdapterRepository` - The resource adapter repository
        `cfs` - The connection factories
        `cfJndis` - The JNDI names of the connection factories
        `cfCMs` - The connection managers
        `aos` - The admin objects
        `aoJndis` - The JNDI names of the admin objects
        `recoveryModules` - The recovery modules
        `recoveryRegistry` - The recovery registry
        `tmpDirectory` - The temporary directory
        `managementRepository` - The management repository
        `connector` - The management connector instance
        `server` - The MBeanServer
        `objectNames` - The ObjectNames
        `cl` - The classloader for the deployment
        `log` - The logger

  - ### Method Detail

    - #### stop

          public void stop()

      Stop
      Overrides:
        `stop` in class `AbstractFungalDeployment`

    - #### destroy

          public void destroy()

      Destroy
      Overrides:
        `destroy` in class `AbstractFungalDeployment`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)